/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.tools.webadmin.ui.infra.util;

import org.ow2.petals.tools.webadmin.ui.infra.bean.MessageExchangeLVO;

/**
 * Compare 2 {@link MessageExchangeLVO} by time
 * 
 * @author mcarpentier - EBM Websourcing
 * 
 */
public class MessageExchangeLVOComparator implements java.util.Comparator<MessageExchangeLVO> {

    public MessageExchangeLVOComparator() {
        super();
    }

    public int compare(MessageExchangeLVO o1, MessageExchangeLVO o2) {
        Long time1 = new Long(o1.getStartTime());
        Long time2 = new Long(o2.getStartTime());
        return time2.compareTo(time1);
    }
}
